Bug 2104434 (CVE-2022-32087)

Summary: CVE-2022-32087 mariadb: server crash in Item_args::walk_args
Product: [Other] Security Response Reporter: Mauro Matteo Cascella <mcascell>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: damien.ciabrini, databases-maint, dciabrin, eglynn, hhorak, jjoyce, jorton, lhh, ljavorsk, mbayer, mburns, mkocka, mmuzila, mschorm, SpikeFedora, spower
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mariadb 10.7.4, mariadb 10.6.8, mariadb 10.5.16, mariadb 10.4.25, mariadb 10.3.35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-11-26 08:54:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2083246, 2083249, 2089977, 2089980, 2090192, 2090831, 2090832, 2090833, 2090834, 2090839, 2090845, 2096275, 2096280, 2101779, 2107052, 2107074    
Bug Blocks: 2103718    

Description Mauro Matteo Cascella 2022-07-06 09:09:05 UTC
MariaDB v10.2 to v10.7 was discovered to contain a segmentation fault via the component Item_args::walk_args.

Upstream issue:
https://jira.mariadb.org/browse/MDEV-26437

Comment 1 errata-xmlrpc 2022-07-28 16:08:29 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:5759 https://access.redhat.com/errata/RHSA-2022:5759

Comment 2 errata-xmlrpc 2022-09-01 14:21:14 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6306 https://access.redhat.com/errata/RHSA-2022:6306

Comment 3 errata-xmlrpc 2022-09-13 09:43:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:6443 https://access.redhat.com/errata/RHSA-2022:6443

Comment 4 Product Security DevOps Team 2022-11-26 08:54:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-32087